<html lang="en">
<head>
	<meta charset="utf-8">
	<title>CRUD NodeJS dan MySQL</title>
  <link href="/assets/css/bootstrap.css" rel="stylesheet" type="text/css"/>
</head>
<body>
  <div class="container">
    <h2>List of Customer</h2>
		<button class="btn btn-success" data-toggle="modal" data-target="#myModalAdd">Add New</button>
    <table class="table table-striped" id="mytable">
      <thead>
        <tr>
          <th>Customer ID</th>
          <th>Nama</th>
          <th>Alamat</th>
          <th>Kode Pos</th>
          <th>No. HP</th>
          <th>Email</th>
          <th>Action</th>
        </tr>
      </thead>
      <tbody>
         {{#each results}}
        <tr>
          <td>{{ cust_id }}</td>
          <td>{{ nama }}</td>
          <td>{{ alamat }}</td>
          <td>{{ kode_pos }}</td>
          <td>{{ no_hp }}</td>
          <td>{{ email }}</td>
          <td>
            <a href="javascript:void(0);" class="btn btn-sm btn-info edit" data-cust_id="{{ cust_id }}" data-nama="{{ nama }}" data-alamat="{{ alamat }}" data-kode_pos="{{ kode_pos }}" data-no_hp="{{ no_hp }}" data-email="{{ email }}">Edit</a>
            <a href="javascript:void(0);" class="btn btn-sm btn-danger delete" data-cust_id="{{ cust_id }}">Delete</a>
          </td>
        </tr>
        {{/each}}
      </tbody>
    </table>
  </div>

	<!-- Add New Product Modal-->
	  <form action="/save" method="post">
        <div class="modal fade" id="myModalAdd" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
         <div class="modal-dialog" role="document">
           <div class="modal-content">
             <div class="modal-header">
               <h5 class="modal-title" id="exampleModalLabel">Add New Customer</h5>
               <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                 <span aria-hidden="true">&times;</span>
               </button>
             </div>
             <div class="modal-body">
            <!-- Input Nama-->
               <div class="form-group">
                   <input type="text" name="nama" class="form-control" placeholder="Masukkan nama" required>
               </div>
            <!-- Input Alamat-->
               <div class="form-group">
                   <input type="text" name="alamat" class="form-control" placeholder="Masukkan alamat" required>
               </div>
            <!-- Input Kode Pos-->
               <div class="form-group">
                   <input type="text" name="kode_pos" class="form-control" placeholder="Masukkan kode pos" required>
               </div>
            <!-- Input No HP-->
               <div class="form-group">
                   <input type="text" name="no_hp" class="form-control" placeholder="Masukkan no hp" required>
               </div>
            <!-- Input No Email-->
               <div class="form-group">
                   <input type="text" name="email" class="form-control" placeholder="Masukkan email" required>
               </div>

             </div>
             <div class="modal-footer">
               <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
               <button type="submit" class="btn btn-primary">Save</button>
             </div>
           </div>
         </div>
        </div>
	 </form>

	 <!-- Edit Product Modal-->
   <form action="/update" method="post">
       <div class="modal fade" id="EditModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="exampleModalLabel">Edit Customer</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            
            <div class="modal-body">
            <!-- Input nama-->
              <div class="form-group">
                  <input type="text" name="nama" class="form-control product_name" placeholder="Masukkan nama" required>
              </div>
            <!-- Input alamat-->
              <div class="form-group">
                  <input type="text" name="alamat" class="form-control price" placeholder="Masukkan alamat" required>
              </div>
            <!-- Input kode pos-->
              <div class="form-group">
                  <input type="text" name="kode_pos" class="form-control price" placeholder="Masukkan kode pos" required>
              </div>
            <!-- Input no hp-->
              <div class="form-group">
                  <input type="text" name="no_hp" class="form-control price" placeholder="Masukkan no hp" required>
              </div>
            <!-- Input email-->
              <div class="form-group">
                  <input type="text" name="email" class="form-control price" placeholder="Masukkan email" required>
              </div>
            </div>
            <div class="modal-footer">
              <input type="hidden" name="cust_id" class="cust_id">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
              <button type="submit" class="btn btn-primary">Update</button>
            </div>
          </div>
        </div>
       </div>
  </form>

	 <!-- Delete Product Modal-->
 	  <form id="add-row-form" action="/delete" method="post">
 	     <div class="modal fade" id="DeleteModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
 	        <div class="modal-dialog">
 	           <div class="modal-content">
 	               <div class="modal-header">
									 	<h5 class="modal-title" id="myModalLabel">Delete Customer</h5>
 	                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
 	               </div>
 	               <div class="modal-body">
												 <strong>Are You Sure To Delete This Customer?</strong>
 	               </div>
 	               <div class="modal-footer">
									 		<input type="hidden" name="cust_id" class="form-control cust_id2" required>
 	                   	<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
 	                  	<button type="submit" class="btn btn-success">Delete</button>
 	               </div>
 	      			</div>
 	        </div>
 	     </div>
 	 </form>

<script src="/assets/js/jquery-3.5.1.js"></script>
<script src="/assets/js/bootstrap.js"></script>
<script>
    $(document).ready(function(){
			//showing data to modal for edit record
      $('#mytable').on('click','.edit',function(){
        var cust_id = $(this).data('cust_id');
        var nama = $(this).data('nama');
        var alamat = $(this).data('alamat');
        var kode_pos = $(this).data('kode_pos');
        var no_hp = $(this).data('no_hp');
        var email = $(this).data('email');
        $('#EditModal').modal('show');
        $('.nama').val(nama);
        $('.alamat').val(alamat);
        $('.kode_pos').val(kode_pos);
        $('.no_hp').val(no_hp);
        $('.email').val(email);
        $('.cust_id').val(cust_id);
      });
			//showing modal for delete record
			$('#mytable').on('click','.delete',function(){
        var cust_id = $(this).data('cust_id');
        $('#DeleteModal').modal('show');
        $('.cust_id2').val(cust_id);
      });

    });
</script>
</body>
</html>
